ChangeSet 1.1148.6.13, 2003/10/23 17:17:54-07:00, abbotti@mev.co.uk

[PATCH] USB: ftdi_sio - Perle UltraPort new ids - 1 of 2

Scott Allen's patch to add vid/pid support for Perle Systems
UltraPort USB serial converter, merged up with minor whitespace
changes by myself (Ian Abbott).


 drivers/usb/serial/ftdi_sio.c |    6 ++++++
 drivers/usb/serial/ftdi_sio.h |    8 ++++++++
 2 files changed, 14 insertions(+)


diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Fri Oct 24 17:00:57 2003
+++ b/drivers/usb/serial/ftdi_sio.c	Fri Oct 24 17:00:57 2003
@@ -17,6 +17,9 @@
  * See http://ftdi-usb-sio.sourceforge.net for upto date testing info
  *	and extra documentation
  *
+ * (17/Oct/2003) Scott Allen
+ *      Added vid/pid for Perle Systems UltraPort USB serial converters
+ *
  * (21/Sep/2003) Ian Abbott
  *      Added VID/PID for Omnidirectional Control Technology US101 USB to
  *      RS-232 adapter (also rebadged as Dick Smith Electronics XH6381).
@@ -283,6 +286,7 @@
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_4_PID, 0, 0x3ff) },
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_5_PID, 0, 0x3ff) },
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_6_PID, 0, 0x3ff) },
+	{ USB_DEVICE_VER(FTDI_PERLE_VID, FTDI_PERLE_PID, 0, 0x3ff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2101_PID, 0, 0x3ff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2102_PID, 0, 0x3ff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2103_PID, 0, 0x3ff) },
@@ -356,6 +360,7 @@
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_4_PID, 0x400, 0xffff) },
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_5_PID, 0x400, 0xffff) },
 	{ USB_DEVICE_VER(FTDI_MTXORB_VID, FTDI_MTXORB_6_PID, 0x400, 0xffff) },
+	{ USB_DEVICE_VER(FTDI_PERLE_VID, FTDI_PERLE_PID, 0x400, 0xffff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2101_PID, 0x400, 0xffff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2102_PID, 0x400, 0xffff) },
 	{ USB_DEVICE_VER(SEALEVEL_VID, SEALEVEL_2103_PID, 0x400, 0xffff) },
@@ -442,6 +447,7 @@
 	{ USB_DEVICE(FTDI_MTXORB_VID, FTDI_MTXORB_4_PID) },
 	{ USB_DEVICE(FTDI_MTXORB_VID, FTDI_MTXORB_5_PID) },
 	{ USB_DEVICE(FTDI_MTXORB_VID, FTDI_MTXORB_6_PID) },
+	{ USB_DEVICE(FTDI_PERLE_VID, FTDI_PERLE_PID) },
 	{ USB_DEVICE(SEALEVEL_VID, SEALEVEL_2101_PID) },
 	{ USB_DEVICE(SEALEVEL_VID, SEALEVEL_2102_PID) },
 	{ USB_DEVICE(SEALEVEL_VID, SEALEVEL_2103_PID) },
diff -Nru a/drivers/usb/serial/ftdi_sio.h b/drivers/usb/serial/ftdi_sio.h
--- a/drivers/usb/serial/ftdi_sio.h	Fri Oct 24 17:00:57 2003
+++ b/drivers/usb/serial/ftdi_sio.h	Fri Oct 24 17:00:57 2003
@@ -60,6 +60,14 @@
 #define FTDI_MTXORB_6_PID      0xFA06  /* Matrix Orbital Product Id */
 
 /*
+ * The following are the values for the Perle Systems
+ * UltraPort USB serial converters
+ */
+#define FTDI_PERLE_VID		FTDI_VID	/* Perle Systems Vendor Id */
+#define FTDI_PERLE_PID		0xF0C0	/* Perle UltraPort Product Id
+*/
+
+/*
  * The following are the values for the Sealevel SeaLINK+ adapters.
  * (Original list sent by Tuan Hoang.  Ian Abbott renamed the macros and
  * removed some PIDs that don't seem to match any existing products.)
